Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
usb::Usb Interface Reference

USB interface. More...

`import <Usb.idl;`

## Classes
struct | Settings
| USB interface settings. More...
struct | SettingsChangedEvent
| Event: Settings have changed. More...

## Public Member Functions
Settings | getSettings ()
| Retrieve the USB interface settings.
int | setSettings (in Settings settings)
| Change the USB interface settings.
int | getHostPortCount ()
| Retrieve the number of external USB-A ports.
void | getDevices (out vector< UsbDevice > usbDevices)
| Get a list of USB devices connected to the host ports.

## Detailed Description

USB interface.

Definition at line 25 of file Usb.idl.

## Member Function Documentation

## ◆ getDevices()

void usb::Usb::getDevices | ( | out vector< UsbDevice > | usbDevices | ) |

Get a list of USB devices connected to the host ports.

Parameters

  usbDevices | Result: List of discovered devices

## ◆ getHostPortCount()

int usb::Usb::getHostPortCount | ( |  | ) |

Retrieve the number of external USB-A ports.

Returns
  Number of host ports

## ◆ getSettings()

Settings usb::Usb::getSettings | ( |  | ) |

Retrieve the USB interface settings.

Returns
  USB interface settings

## ◆ setSettings()

int usb::Usb::setSettings | ( | in Settings | settings | ) |

Change the USB interface settings.

Parameters

  settings | New settings

Returns
  0 if OK

The documentation for this interface was generated from the following file:

- Usb.idl